<head>
    <title>Context Command Executor options</title>
    <link rel="stylesheet" href="index.css">
</head>

<div id="main">
    <button class="add-form">Add command</button>
    <b>Input</b>
    <p>
        The first line should be the command to be executed.
        Arguments should be separate lines.
    </p>
    <span>
        You can use <i>$URL$</i> in your command. It will be
        replaced by the URL in question
    </span>
    <div class="forms"></div>
    <h1>README</h1>
    <div class="information">
        <b>Installation</b>
        <p>
            For anything to work, you need to download
            <a
                href="https://gitlab.com/NamingThingsIsHard/firefox/ccex/-/raw/master/native/executor.py?inline=false">
                <code>executor.py</code>
            </a>.
            Run it with <u>python3 executor.py install --copy</u>

        </p>
    </div>
</div>

<template id="command-form-template">
    <div class="command-form">
        <div class="label-group">
            <span>Label</span>
            <input type="text" class="label-input"
                   placeholder="Context menu label">
        </div>
        <div class="command-group">
            <label for="command-input">Command</label>
            <textarea name="command-input" id="command-input" cols="30"
                      rows="10"
                      class="command-input"
                      placeholder="Command to run with an arg per line"
            ></textarea>
        </div>
        <button class="save-button">Save</button>
        <button class="remove-button">Delete</button>
    </div>
</template>

<script type="module" src="index.js"></script>
